Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041183
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2019-06-26 14:152019-07-11 20:33
ReportermarvintmView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisionb2ebddbb42ab
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041183: Payment information of the sales order is shown incorrectly in case of payments with different precisions in both currencies

DescriptionThe following issue was previously reported for the WebPOS:

https://issues.openbravo.com/view.php?id=40928 [^]

After it was fixed, the amounts are properly saved in the Openbravo backend. However, the payment information is still not shown correctly in the backoffice windows.

The reason is that the window is showing the information returned from the FIN_PAYMENT_DETAIL_V view, and this view is calculating the amount instead of showing the information from the table columns.
Steps To ReproduceFollow the steps described in the issue https://issues.openbravo.com/view.php?id=40928 [^]

Verify that in the backoffice, the amounts shown are still not correct in the Sales Order payment plan, but in the payment information everything is correct.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040928 closedrqueralta Retail Modules The precision of the financial account currency is not used in transactions when paying a ticket with a different currency 

-  Notes
(0113240)
Sandrahuguet (developer)
2019-07-09 12:11

No change should be made in FIN_PAYMENT_DETAIL_V view.

finacc_txn_convert_rate should be adjusted depending on precision and when this column is correctly calculated paidconverted (psd.amount * p.finacc_txn_convert_rate) and expectedconverted (COALESCE(psi.amount, pso.amount) * p.finacc_txn_convert_rate) will show the correct values
(0113317)
hgbot (developer)
2019-07-11 20:33

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b2ebddbb42ab0fec760e4e7cb4944675795123ec
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Jul 09 15:56:01 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b2ebddbb42ab0fec760e4e7cb4944675795123ec [^]

Fixed issue 41183: Payment information of the sales order is shown incorrectly
in case of payments with different precisions in both currencies

- If payment precision is different of order precision, mulrate is calculated
again

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---

- Issue History
Date Modified Username Field Change
2019-06-26 14:15 marvintm New Issue
2019-06-26 14:15 marvintm Assigned To => Triage Finance
2019-06-26 14:15 marvintm Modules => Core
2019-06-26 14:15 marvintm Triggers an Emergency Pack => No
2019-06-26 14:15 marvintm Relationship added depends on 0040928
2019-06-26 14:15 marvintm Relationship deleted depends on 0040928
2019-06-26 14:16 marvintm Relationship added related to 0040928
2019-06-26 14:16 marvintm Assigned To Triage Finance => Sandrahuguet
2019-06-26 14:47 ngarcia Issue Monitored: ngarcia
2019-06-26 15:58 Sandrahuguet Assigned To Sandrahuguet => nonofrancisco
2019-07-01 17:54 Sandrahuguet Status new => scheduled
2019-07-03 16:32 Sandrahuguet Assigned To nonofrancisco => collazoandy4
2019-07-09 12:06 Sandrahuguet Assigned To collazoandy4 => rqueralta
2019-07-09 12:11 Sandrahuguet Note Added: 0113240
2019-07-11 20:33 hgbot Checkin
2019-07-11 20:33 hgbot Note Added: 0113317
2019-07-11 20:33 hgbot Status scheduled => resolved
2019-07-11 20:33 hgbot Resolution open => fixed
2019-07-11 20:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b2ebddbb42ab0fec760e4e7cb4944675795123ec [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker